// vim:syntax=javascript

class VeraText {
    static function create(
        mc:MovieClip,
        name:String,
        message:String,
        fnt_size:Number,
        x:Number,
        y:Number,
        width:Number,
        height:Number
        ):TextField {

        var style_fmt:TextFormat = new TextFormat();
        with (style_fmt) {
            font = "Vera";
            size = fnt_size;
            color = 0xFFFFFF;
            align = "center";
        }

        mc.createTextField(name, mc.getNextHighestDepth(), 
                        x, y, width, height);
        var tf:TextField = mc[name];

        with (tf) {
            multiline = true;
            embedFonts = true;
            selectable = false;
            wordWrap = true;
            setTextFormat(style_fmt);
            setNewTextFormat(style_fmt);
            text = message;
        }

        return tf;
    }
}
